﻿---
title: "PandocでMarkdownから教員業務文書"
subtitle: "引き継ぎのためにはWordで残さざるを得ない"
date: "2022-07-29"
author: "日下部幽考"
---


## 背景

私は教員です。
職場においては，業務にかかる文書はMicrosoft Wordで作ることが当然であるように動いています。
しかし，Microsoft Wordで執筆すると，重さ・お節介・保守性などの面で気になる点があります。


## 目的

+ 文書をMarkdownで執筆し，PandocによってWordに変換できるようにする。
+ Markdownはテキストエディタによってテキストファイルとして書けるため，Microsoft Wordの将来の価格・存続にかかわらず保存できる。


## 前提

+ Pandocの導入が済んでいる。
+ Markdownの記法を知っている。


## 内容

Readme.docxはReadme.mdからmakedocxmodern.batで（pandocを使って）処理したものです。

### 共通の仕様

+ BIZ UDフォントを既定としています。
+ 強調は日本語らしく設定できません。Wordで開くと，スタイルの欄に__emというスタイルがあります。これを使ってください。
+ 箇条書きも適切に設定できません。compactスタイルを書き換えることで実現しています。compactスタイルは代わりに_originalcompactスタイルを使ってください。また，箇条書きのネストもうまく働きません。手動で調整してください。


### @modern.md + templatemodern.docx

内部向け資料を書くためのテンプレートです。

+ titleに文書タイトルを書きます。
+ subtitleも使えます。空欄にしておくと省かれます。
+ dateに日付を書きます。形式は何でも構いません。
+ authorに作成者名を書きます。
+ １番目の見出しはタイトルと同じ体裁を出力しますので，２番目の見出しから使ってください。strict.mdと原稿が互換になるようにしています。


### @strict.md + makedocxstrict.docx

外部向け資料を書くためのテンプレートです。

+ title, date, authorを使うと適切な位置に配置してくれないため，これらは使いません。
+ 日付・宛名・発行者名は地の文になっています。生成されたファイルをWordで開くと，スタイルの欄に準備されています。@Authorが発行者名，@Dateが日付，@Toが宛名です。


### makedocxmodern.bat

modern.mdに従って書かれたNAME.mdファイルをドラッグアンドドロップすると，同じフォルダにNAME.docxが生成されます。

templatemodern.docxと同じフォルダにおいてください。使いやすい（ドラッグ＆ドロップが楽な）場所にアイコンを配置するにはショートカットになさるのがよいでしょう。


### makedocxstrict.bat

@strict.mdに従って書かれたNAME.mdファイルをドラッグアンドドロップすると，同じフォルダにNAME.docxが生成されます。

templatestrict.docxと同じフォルダにおいてください。使いやすい（ドラッグ＆ドロップが楽な）場所にアイコンを配置するにはショートカットになさるのがよいでしょう。


## 詳細

Markdownからきれいな文書を出力することが目的であれば，LuaLaTeXを経由してPDFを出力することをすすめます。このファイル群は，職場内共有のためにWordファイルにせねばならないことを念頭に作られています。

+ 最新の情報はこちらをご覧ください。  
<https://www.metaphysica.info/technote/md2docxonwork/>
+ バグ報告などはこちらにお願いいたします。  
<https://twitter.com/metaphysicainfo>
+ MIT licenseのもとで公開します。
+ Copyright (c) 2022 Yukoh KUSAKABE

ご自身の使いやすいように書き換えていただくことは一向にかまいません。書き換えていただいたものを再配付なさる場合は，（MITライセンスとしていますので強制ではありませんが）以下にご協力いただけますと幸いです。

+ ぜひ，日下部幽考までご連絡ください。配付ページでご紹介したいと思います。
+ <https://www.metaphysica.info/technote/md2docxonwork/>（配付ページ）へのリンクまたは紹介にご協力ください。

また，よい修正やバリエーションを作成された場合も，ぜひご連絡ください。


## 参考

+ [日本語Markdownユーザー会](https://www.markdown.jp/)
+ [日本Pandocユーザ会](https://pandoc-doc-ja.readthedocs.io/)
+ [Pandoc.org](https://pandoc.org/)


## 更新履歴

+ 2022-07-29 初回公開版です。